Get Space history for an Asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.reelables.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Reelables API MCP server": {
    "url": "https://docs.reelables.com/mcp"
  }
}

Close
GET /assets/{assetId}/spaces

Headers

  • request-id string

    Unique identifier for the API request. Example: f7ecf495-ca1c-4468-a6c2-6ee3f723fa00

Path parameters

  • assetId string Required

    The identifier of the Asset

Query parameters

  • limit string

    Number of items to return. Default: 10. Maximum: 10000

  • nextToken string

    Pagination token to get next page of items

Responses

  • 200 application/json

    200 response

    Hide response attributes Show response attributes object
    • nextToken string

      Pagination token

      Maximum length is 5000. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

    • items array[object] Required
      Hide items attributes Show items attributes object
      • spaceName string Required

        The name of the Space

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • spaceId string Required

        Unique identifier of the Space. Example: '00Es43YBJfNRXNSvLmni'

        Maximum length is 20. Format should match the following pattern: ^[-_A-Za-z0-9]*$.

      • hasExited boolean

        Indicate whether the Asset has exited the Space

      • enteredOn string(date-time) Required

        Date that the Asset entered the Space. Example: '2019-07-21T17:32:28Z'

        Maximum length is 20. Format should match the following pattern: ^[0-9TZ:-]*$.

      • exitedOn string(date-time)

        Date that the Asset exited the Space. Example: '2019-07-21T17:32:28Z'

        Maximum length is 20. Format should match the following pattern: ^[0-9TZ:-]*$.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 404 application/json

    Asset not found

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 429 application/json

    Too Many Requests

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

GET /assets/{assetId}/spaces
curl \
 --request GET 'https://api.reelables.com/v1/assets/{assetId}/spaces' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "request-id: string"
Response examples (200)
{
  "nextToken": "string",
  "items": [
    {
      "spaceName": "string",
      "spaceId": "string",
      "hasExited": true,
      "enteredOn": "2026-05-04T09:42:00Z",
      "exitedOn": "2026-05-04T09:42:00Z"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}